» Ubuntu » Packages » lucid (10.04LTS) » python » python-pygments
lucid  ] [  precise  ] [  trusty  ] [  utopic  ] [  vivid  ]
[ Source: pygments  ]

Package: python-pygments (1.2.2+dfsg-1ubuntu1)

Links for python-pygments

Screenshot

Ubuntu Resources:

Download Source Package pygments:

Maintainer:

Please consider filing a bug or asking a question via Launchpad before contacting the maintainer directly.

Original Maintainers (usually from Debian):

It should generally not be necessary for users to contact the original maintainer.

External Resources:

Similar packages:

syntax highlighting package written in Python

Pygments aims to be a generic syntax highlighter for general use in all kinds of software such as forum systems, wikis or other applications that need to prettify source code.

Highlights are:

  * a wide range of common languages and markup formats is supported
  * special attention is paid to details, increasing quality by a fair amount
  * support for new languages and formats are added easily
  * a number of output formats, presently HTML, LaTeX and ANSI sequences
  * it is usable as a command-line tool and as a library

Other Packages Related to python-pygments

  • depends
  • recommends
  • suggests
  • enhances
  • dep: python (>= 2.4)
    An interactive high-level object-oriented language (default version)
  • dep: python-support (>= 0.90.0)
    automated rebuilding support for Python modules

Download python-pygments

Download for all available architectures
Architecture Package Size Installed Size Files
all 317.1 kB2,084.0 kB [list of files]